use std::time::Duration;

use sqlx::{PgPool, postgres::PgPoolOptions};

pub async fn connect_database() -> PgPool {
    let db_connection_str =
        std::env::var("DATABASE_URL").expect("Could not find DATABASE_URL environment variable");

    PgPoolOptions::new()
        .max_connections(5)
        .acquire_timeout(Duration::from_secs(3))
        .connect(&db_connection_str)
        .await
        .expect("Could not connect to database")
}
